GET
/v2/providers/fms/apis/api/v1/vendors/{vendorId}/budgets2609170000(공통)예산현황 조회
KRTW
# 01
요약
(공통)예산현황 조회
# 02
상세
API 적용 가능한 구매자 사용자 지역: 한국
현재 설정된 모든 계약의 쿠폰 예산을 조회하기 위한 API입니다.
쿠폰의 사용을 위한 예산은 각각의 계약 조건에 따라 각 월별로 설정이 되기에 계약 및 조회를 원하는 월별로 조회가 가능합니다.
경로
GET/v2/providers/fms/apis/api/v1/vendors/{vendorId}/budgets
예시 엔드포인트
https://api-gateway.coupang.com/v2/providers/fms/apis/api/v1/vendors/A00012345/budgets?contractId=-1&targetMonth=2017-08# 03
Path 파라미터
| Name | Type | Description |
|---|---|---|
| vendorId* | string | 판매자ID 쿠팡에서 업체에게 발급한 고유 코드 예) A00012345 |
# 04
Query 파라미터
| Name | Type | Description |
|---|---|---|
| contractId | number | 업체의 계약서 아이디 (자유계약의 경우 -1 입력)
|
| targetMonth | string | 조회하고자 하는 예산월 yyyy-MM targetMonth를 입력하지 않으면 현재 월에 해당하는 예산이 조회됨. |
# 05
응답 본문
응답 메시지
| Name | Type | Description |
|---|---|---|
| code | integer | 서버 응답 코드
|
| message | string | 서버 응답 메세지
|
| httpStatus | integer | HTTP Status Code(서버 응답 코드와 동일한 값)
|
| httpStatusMessage | string | HTTP Status Message (서버 응답 메세지와 동일한 값)
|
| errorMessage | string | HTTP Status 200을 제외한 나머지 Status에서 서버 내 상세한 실패 이유 메세지가 담깁니다.
|
| data | object | 예산 현황 리스트 데이터
|
| success data.success | boolean | 성공 여부 true or false |
| content data.content | object[] | 예산현황 리스트
|
| contractId data.content[].contractId | integer | 업체의 계약서 아이디 예) 1, 2 |
| targetMonth data.content[].targetMonth | string | 조회하고자 하는 예산월 예) 2017-08 |
| vendorShareRatio data.content[].vendorShareRatio | integer | 분담율(%) : 해당 계약서에 명시된 쿠팡과의 분담율 예) 100 |
| totalBudgetAmount data.content[].totalBudgetAmount | integer | 해당월에 설정된 예산 예) 1000000 |
| usedBudgetAmount data.content[].usedBudgetAmount | integer | 해당월에 사용된 예산 예) 50.00 |
| pagination data.pagination | string |
Response Example
{
"code": 200,
"message": "OK",
"httpStatus": 200,
"httpStatusMessage": "OK",
"errorMessage": "",
"data": {
"success": true,
"content": [
{
"contractId": 2,
"targetMonth": "2017-08",
"vendorShareRatio": 100,
"totalBudgetAmount": 1000000,
"usedBudgetAmount": 50
}
],
"pagination": null
}
}# 06
에러 코드
| HTTP | 코드 | 메시지 |
|---|---|---|
| 400 | HTTP_400 | Bad Request |
오류 사양
| HTTP | 유형 | 오류 메시지 | 해결 방법 |
|---|---|---|---|
| 401 | 401 (요청변수확인) | 업체정보의 권한을 확인하세요. | 판매자ID(vendorId) 값을 올바로 입력했는지 확인합니다. |
| 400 | 400 (요청변수확인) | Invalid format: "2020" is too short | 조회하고자 하는 예산월(targetMonth) 값을 올바로 입력했는지 확인합니다. |